Glib::Container_Helpers::SListIterator< Tr > Class Template Reference

`#include <glibmm/vectorutils.h>`

## Public Types

using | CppType = typename Tr::CppType
using | CType = typename Tr::CType
using | iterator_category = std::forward_iterator_tag
using | value_type = CppType
using | difference_type = std::ptrdiff_t
using | reference = value_type
using | pointer = void

## Public Member Functions

| SListIterator (const GSList* node)
value_type | operator* () const
SListIterator< Tr >& | operator++ ()
const SListIterator< Tr > | operator++ (int)
bool | operator== (const SListIterator< Tr >& rhs) const
bool | operator!= (const SListIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

using Glib::Container_Helpers::SListIterator< Tr >::CppType = typename Tr::CppType

template <class Tr >

using Glib::Container_Helpers::SListIterator< Tr >::CType = typename Tr::CType

template <class Tr >

using Glib::Container_Helpers::SListIterator< Tr >::difference_type = std::ptrdiff_t

template <class Tr >

using Glib::Container_Helpers::SListIterator< Tr >::iterator_category = std::forward_iterator_tag

template <class Tr >

using Glib::Container_Helpers::SListIterator< Tr >::pointer = void

template <class Tr >

using Glib::Container_Helpers::SListIterator< Tr >::reference = value_type

template <class Tr >

using Glib::Container_Helpers::SListIterator< Tr >::value_type = CppType

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::SListIterator< Tr >::SListIterator | ( | const GSList * | node | ) |

inline explicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::SListIterator< Tr >::operator!= | ( | const SListIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

value_type Glib::Container_Helpers::SListIterator< Tr >::operator* | ( |  | ) | const

inline

template <class Tr >

SListIterator<Tr>& Glib::Container_Helpers::SListIterator< Tr >::operator++ | ( |  | ) |

inline

template <class Tr >

const SListIterator<Tr> Glib::Container_Helpers::SListIterator< Tr >::operator++ | ( | int |  | ) |

inline

template <class Tr >

bool Glib::Container_Helpers::SListIterator< Tr >::operator== | ( | const SListIterator< Tr >& | rhs | ) | const

inline